PublicApiAddDomain
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"maxRole": "<string>",
"maxRoleSlug": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', maxRole: '<string>', maxRoleSlug: '<string>'})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Team
PublicApiAddDomain
POST /api/v1/organizations//domains
POST
/
api
/
v1
/
organizations
/
{orgId}
/
domains
PublicApiAddDomain
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"maxRole": "<string>",
"maxRoleSlug": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', maxRole: '<string>', maxRoleSlug: '<string>'})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Body
application/json
Response
Successful response
The response is of type object.